#ifndef _BASIC_H
#define _BASIC_H

#include <ace/OS.h>
#include <tao/corba.h>

#include <DsLogAdminC.h>
#include "macro.h"

#ifndef OPENFUSION_BASIC_DLL
#define OPENFUSION_BASIC_DLL
#endif

class OPENFUSION_BASIC_DLL Basic
{
   public:

      Basic (CORBA::ORB_var orb);

      DsLogAdmin::BasicLogFactory_var resolve (CORBA::ORB_var orb);

      DsLogAdmin::BasicLog_var create (DsLogAdmin::BasicLogFactory_var factory);

      void write (DsLogAdmin::BasicLog_var log);

      void query (DsLogAdmin::BasicLog_var log);

   protected:

   private:

      CORBA::ORB_var orb;
      DsLogAdmin::BasicLogFactory_var basic_log_factory;
};

#endif
