#ifndef _NAMINGVIDEOSUPPLIER_H
#define _NAMINGVIDEOSUPPLIER_H

#include "CosNamingC.h"
#include "CosNamingS.h"
#include "macro.h"

#ifndef OPENFUSION_VIDEO_DLL
#define OPENFUSION_VIDEO_DLL
#endif

class OPENFUSION_VIDEO_DLL NamingVideoSupplier : public VideoSupplier
{
   public:
      NamingVideoSupplier( const char *sName, CORBA::Boolean bStore = 1);
      ~NamingVideoSupplier();

      virtual CORBA::Object_var getServant();

      CORBA::Boolean bind( const CosNaming::NamingContext_ptr pInc);
};
#endif  // _NAMINGVIDEOSUPPLIER_H
