#ifndef _VIDEOCOMPANY_H
#define _VIDEOCOMPANY_H

#include "Common/ServerS.h"
#include "Common/ServerC.h"


class VideoCompany : public POA_Server::Company
{

   public:

      VideoCompany (const char *sName, const char *sType);

      ~VideoCompany();

      char *getName() throw (CORBA::SystemException);

      Server::OfferList*  getOffers (const char *sCategory)
         throw (CORBA::SystemException) = 0;

      char *getType() { return m_sType ;}

      Server::Company_var getCompanyCORBARef() { return _this(); }

   protected:

   private:

      char m_sName[40];

      char m_sType[40];
};

#endif  // _VIDEOCOMPANY_H
