#ifndef _MAIL_H
#define _MAIL_H

#undef LOGIN
#undef LOGOUT

//pointers to command functions
typedef void (*CREATE)( char *);
typedef void (*SEND)( char *, char *);
typedef void (*RECEIVE)();
typedef void (*LOGIN)( char *);
typedef void (*LOGOUT)();

//command properties
#define CREATE_TOKENS 1
#define SEND_TOKENS 2
#define RECEIVE_TOKENS 0
#define LOGIN_TOKENS 1
#define LOGOUT_TOKENS 0

#define VALID_COMMANDS 5

#endif  // _MAIL_H
