#ifndef _PUSHSUPPLIER_H
#define _PUSHSUPPLIER_H

#include <tao/corba.h>
#include <CosNotifyCommS.h>
#include <CosNotifyChannelAdminS.h>
#include <CosNotificationS.h>

// An inline implementation of a Structured Push Supplier

class PushSupplier : public POA_CosNotifyComm::StructuredPushSupplier
{
   public:

      PushSupplier () : POA_CosNotifyComm::StructuredPushSupplier (){}

      virtual void disconnect_structured_push_supplier ()
         throw (CORBA::SystemException) {}

      virtual void subscription_change
      (
         class CosNotification::EventTypeSeq const &,
         class CosNotification::EventTypeSeq const &
      )
         throw (CosNotifyComm::InvalidEventType,CORBA::SystemException) {}
};
#endif  // _PUSHSUPPLIER_H
