#ifndef _NEWSINPUTMANAGER_H
#define _NEWSINPUTMANAGER_H

#include "macro.h"

#ifndef OPENFUSION_NEWS_DLL
#define OPENFUSION_NEWS_DLL
#endif

typedef void (*SUBSCRIBE)( char* sDomain, int iPriority);
typedef void (*PUBLISH)( char* sDomain);
typedef void (*WITHDRAW)( char* sDomain);
typedef void (*BROADCAST)( char* sDomain);
typedef void (*LISTEN)();


class OPENFUSION_NEWS_DLL NewsInputManager : public InputManager
{

   public:

      NewsInputManager( PUBLISH sPublish, BROADCAST sBroadcast, WITHDRAW sWithdraw);
      NewsInputManager( SUBSCRIBE sSubscribe, LISTEN sListen);

      ~NewsInputManager();

      CORBA::Boolean despatch();

   protected:

   private:
};
#endif  // _NEWSINPUTMANAGER_H
