#ifndef _VIDEOCOMPANY_H
#define _VIDEOCOMPANY_H

#include "Common/ServerS.h"
#include "Common/ServerC.h"
#include "macro.h"

#ifndef OPENFUSION_VIDEO_DLL
#define OPENFUSION_VIDEO_DLL
#endif

//@class - provides the definition of a generic company
class OPENFUSION_VIDEO_DLL VideoCompany : public POA_Server::Company
{
//@access Public Members
   public:
//@cmember constructor
      VideoCompany( char *sName, char *sType);
//@cmember destructor
      ~VideoCompany();
//@cmember get company name
   char *getName() throw (CORBA::SystemException);

//@cmember get company offers
      virtual Server::OfferList*  getOffers( const char *sCategory) throw(CORBA::SystemException)
   {
      return 0;
   }

//@cmember get company type
      char *getType() { return m_sType ;}
//@cmember get a CORBA reference to the company
      Server::Company_var getCompanyCORBARef() { return _this();}
//@access Protected Members
   protected:
//@access Private Members
   private:
//@cmember name of company
      char m_sName[40];
//@cmember type of company
      char m_sType[40];
};
#endif  // _VIDEOCOMPANY_H
