#ifndef _ACCESSOR_H
#define _ACCESSOR_H

#include "macro.h"

#ifndef OPENFUSION_COMMON_DLL
#define OPENFUSION_COMMON_DLL
#endif

class OPENFUSION_COMMON_DLL Accessor
{
   public:

      Accessor() {};
      virtual ~Accessor() {};

      CORBA::ORB_var getORB (int argc, char **argv) const;

      CORBA::Boolean getORB (CORBA::ORB_var orb) const;

      CORBA::Boolean readIOR
      (
          const char* ior,
          const CORBA::ORB_ptr &orb,
          CORBA::Object_ptr *pObj,
          const CORBA::Boolean bWrite = 0,
          const CORBA::Boolean bHome = 0
      ) const;

      void writeIOR (const char* iorFile, const char* ior) const;

      CORBA::Boolean getStringFromObject
      (
          CORBA::ORB_var pOrb,
          char **sResult,
          CORBA::Object_var pObj
      ) const;

      CORBA::Boolean getObjectFromString
      (
         const CORBA::ORB_var pOrb,
         const char *sIOR,
         CORBA::Object_var pObj
      ) const;
};
#endif  // _CACCESSOR_H
