#ifndef _PULLCONSUMER_H
#define _PULLCONSUMER_H

#include <tao/corba.h>
#include <CosNotifyCommS.h>
#include <CosNotifyChannelAdminS.h>
#include <CosNotificationS.h>

// An inline implementation of a Structured Pull Consumer

class PullConsumer :  public POA_CosNotifyComm::StructuredPullConsumer
{
   public:

      PullConsumer () : POA_CosNotifyComm::StructuredPullConsumer (){}

      virtual void disconnect_structured_pull_consumer ()
         throw (CORBA::SystemException) {}

      virtual void offer_change
      (
         const CosNotification::EventTypeSeq& added,
         const CosNotification::EventTypeSeq& removed
      )
        throw  (CosNotifyComm::InvalidEventType,CORBA::SystemException) {}
};
#endif  // _PULLCONSUMER_H
