#ifndef _NEWSCHANNELMANAGER_H
#define _NEWSCHANNELMANAGER_H

#include "macro.h"

#ifndef OPENFUSION_NEWS_DLL
#define OPENFUSION_NEWS_DLL
#endif

#define NUMBER_OF_EVENTS 10
#define CONSTRAINT "PRIORITY"


class OPENFUSION_NEWS_DLL NewsChannelManager : public ChannelManager
{

   public:

      NewsChannelManager( CORBA::Object_ptr obj, int iChannelId= 0, CORBA::Boolean bCreate= 1);

      ~NewsChannelManager();

      void addOffer( const int iType);

      void removeOffer( const int iType);

      void publishEvents( const int iType);

      CORBA::Boolean pushEvent( const char *sMessage, const int iPriority, const int iType) const;

      CORBA::Boolean applyFilter( const int iType, const int iPriority) const;
   protected:

   private:

      CosNotification::EventType m_weatherEvent;

      CosNotification::EventType m_stockEvent;
};
#endif  // _NEWSCHANNELMANAGER_H
