#ifndef _CPUSHSUPPLIER_H
#define _CPUSHSUPPLIER_H

#include <ace/OS.h>
#include <tao/corba.h>

#include <CosNotifyCommS.h>
#include <CosNotifyChannelAdminS.h>
#include <CosNotificationS.h>

//@class an inline implementation of a Structured Push Supplier
//
//@base public | POA_CosNotifyComm::StructuredPullConsumer
class PushSupplier : public POA_CosNotifyComm::StructuredPushSupplier
{
//@access Public Members
   public:
//@cmember the constructor
      PushSupplier():POA_CosNotifyComm::StructuredPushSupplier(){}
//@cmember overloaded abstract funtion called when proxy is disconnected
   virtual void disconnect_structured_push_supplier() ACE_THROW_SPEC ((CORBA::SystemException))
   {
   }

//@cmember overloaded abstract funtion called when subscribed event type aggregate is changed
   virtual void subscription_change( class CosNotification::EventTypeSeq const &,class CosNotification::EventTypeSeq const &) ACE_THROW_SPEC ((CosNotifyComm::InvalidEventType, CORBA::SystemException))
   {
   }

//@access Protected Members
//@access Private Members
};
#endif  // _CPUSHSUPPLIER_H
