#ifndef _TRADINGVIDEOSUPPLIER_H
#define _TRADINGVIDEOSUPPLIER_H

#include <tao/corba.h>

#include <CosTradingS.h>
#include <CosTradingC.h>

#include <CosTradingReposS.h>
#include <CosTradingReposC.h>
#include "macro.h"

#ifndef OPENFUSION_VIDEO_DLL
#define OPENFUSION_VIDEO_DLL
#endif

class OPENFUSION_VIDEO_DLL TradingVideoSupplier : public VideoSupplier
{
   public:
      TradingVideoSupplier( CORBA::ORB_var orb, char *sName, const CORBA::Boolean bStore = 0);
      ~TradingVideoSupplier();

      virtual CORBA::Object_var getServant();
      CORBA::Boolean exportOffer( CORBA::ORB_var orb, CosTrading::Lookup_ptr lookup);
   protected:
   private:
};
#endif  // _TRADINGVIDEOSUPPLIER_H
