/* Export/Include macros for Win32 compilation */


/* Only do defines if we're compiling on Win32 */
#ifdef ACE_CONFIG_WIN32_H

#ifdef _OPENFUSION_CLIENT_DLL
#define OPENFUSION_CLIENT_DLL __declspec(dllexport)
#else
#define OPENFUSION_CLIENT_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_SERVER_DLL
#define OPENFUSION_SERVER_DLL __declspec(dllexport)
#else
#define OPENFUSION_SERVER_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_COMMON_DLL
#define OPENFUSION_COMMON_DLL __declspec(dllexport)
#else
#define OPENFUSION_COMMON_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_VIDEO_DLL
#define OPENFUSION_VIDEO_DLL __declspec(dllexport)
#else
#define OPENFUSION_VIDEO_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_MAIL_DLL
#define OPENFUSION_MAIL_DLL __declspec(dllexport)
#else
#define OPENFUSION_MAIL_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_NEWS_DLL
#define OPENFUSION_NEWS_DLL __declspec(dllexport)
#else
#define OPENFUSION_NEWS_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_BASIC_DLL
#define OPENFUSION_BASIC_DLL __declspec(dllexport)
#else
#define OPENFUSION_BASIC_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_NOTIFY_DLL
#define OPENFUSION_NOTIFY_DLL __declspec(dllexport)
#else
#define OPENFUSION_NOTIFY_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_EVENT_DLL
#define OPENFUSION_EVENT_DLL __declspec(dllexport)
#else
#define OPENFUSION_EVENT_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_BANK_DLL
#define OPENFUSION_BANK_DLL __declspec(dllexport)
#else
#define OPENFUSION_BANK_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_MORTGAGE_DLL
#define OPENFUSION_MORTGAGE_DLL __declspec(dllexport)
#else
#define OPENFUSION_MORTGAGE_DLL __declspec(dllimport)
#endif

/* Defines needed for compiling OpenFusion stubs */

#ifdef _OPENFUSION_ORB_DLL
#define OPENFUSION_ORB_DLL __declspec(dllexport)
#else
#define OPENFUSION_ORB_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_TYPES_DLL
#define OPENFUSION_TYPES_DLL __declspec(dllexport)
#else
#define OPENFUSION_TYPES_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_BASE_DLL
#define OPENFUSION_BASE_DLL __declspec(dllexport)
#else
#define OPENFUSION_BASE_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_MOF_DLL
#define OPENFUSION_MOF_DLL __declspec(dllexport)
#else
#define OPENFUSION_MOF_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_COSTIME_DLL
#define OPENFUSION_COSTIME_DLL __declspec(dllexport)
#else
#define OPENFUSION_COSTIME_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_COSNAMING_DLL
#define OPENFUSION_COSNAMING_DLL __declspec(dllexport)
#else
#define OPENFUSION_COSNAMING_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_COSTRADING_DLL
#define OPENFUSION_COSTRADING_DLL __declspec(dllexport)
#else
#define OPENFUSION_COSTRADING_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_COSNOTIFICATION_DLL
#define OPENFUSION_COSNOTIFICATION_DLL __declspec(dllexport)
#else
#define OPENFUSION_COSNOTIFICATION_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_COSLOGGING_DLL
#define OPENFUSION_COSLOGGING_DLL __declspec(dllexport)
#else
#define OPENFUSION_COSLOGGING_DLL __declspec(dllimport)
#endif

#ifdef _OPENFUSION_COSEVENTDOMAIN_DLL
#define OPENFUSION_COSEVENTDOMAIN_DLL __declspec(dllexport)
#else
#define OPENFUSION_COSEVENTDOMAIN_DLL __declspec(dllimport)
#endif

#else /* Non-win32 platform. Macros need to pre-process away */

/* examples */

#define OPENFUSION_CLIENT_DLL 
#define OPENFUSION_SERVER_DLL 
#define OPENFUSION_COMMON_DLL 
#define OPENFUSION_VIDEO_DLL 
#define OPENFUSION_MAIL_DLL 
#define OPENFUSION_NEWS_DLL 
#define OPENFUSION_BASIC_DLL
#define OPENFUSION_NOTIFY_DLL 
#define OPENFUSION_EVENT_DLL 
#define OPENFUSION_BANK_DLL 
#define OPENFUSION_MORTGAGE_DLL 

/* Defines needed for compiling OpenFusion stubs */

#define OPENFUSION_ORB_DLL
#define OPENFUSION_TYPES_DLL 
#define OPENFUSION_BASE_DLL 
#define OPENFUSION_MOF_DLL 
#define OPENFUSION_COSTIME_DLL 
#define OPENFUSION_COSNAMING_DLL 
#define OPENFUSION_COSTRADING_DLL 
#define OPENFUSION_COSNOTIFICATION_DLL 
#define OPENFUSION_COSLOGGING_DLL 
#define OPENFUSION_COSEVENTDOMAIN_DLL 

#endif
